{"openapi":"3.0.0","servers":[{"url":"https://42brick.link"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/LEEBONGHAK/42brick-api/2.1.2"}],"info":{"description":"42brick api document","version":"2.1.2","title":"42birck API","contact":{"email":"dlqhdgkr456@gmail.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"NFTs"}],"paths":{"/nft":{"get":{"tags":["NFTs"],"description":"Get the NFTs that the wallet address has by address and symbol","parameters":[{"in":"query","name":"addr","description":"Wallet Address","required":true,"schema":{"type":"string"},"examples":{"Sample1":{"value":"0xCB76200a088672E18E57A4381264aa82eAE14875"},"Sample2":{"value":"0x49664808c7AF1a5ce04DEc18563cd5A7cc03a73a"}}},{"in":"query","name":"symbol","description":"Allowed Blockchain Network Symbol","required":true,"schema":{"type":"string","enum":["eth","bsc","matic","ftm"]}},{"in":"query","name":"cursor","description":"For get next page","required":false,"schema":{"type":"string"}},{"in":"query","name":"limit","description":"To Control the Page Size","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns NFTs in address.","content":{"application/json":{"schema":{"type":"object","required":["chain","symbol","result"],"properties":{"chain":{"type":"string","example":"Ethereum"},"symbol":{"type":"string","example":"eth"},"result":{"type":"object","required":["total","page","page_size","cursor","result"],"properties":{"total":{"type":"integer","example":7},"page":{"type":"integer","example":1},"page_size":{"type":"integer","example":100},"cursor":{"type":"string","example":null},"result":{"type":"array","items":{"type":"object","required":["token_address","token_id","contract_type","owner_of","block_number","block_number_minted","name","symbol","token_hash","last_token_uri_sync","last_metadata_sync"],"properties":{"token_address":{"type":"string","example":"0xb47e3cd837ddf8e4c57f05d70ab865de6e193bbb"},"token_id":{"type":"string","example":5269},"amount":{"type":"string","example":1},"owner_of":{"type":"string","example":"0xcb76200a088672e18e57a4381264aa82eae14875"},"token_hash":{"type":"string","example":"72f18cfbfb6dbb2b9944dbc95016f637"},"block_number_minted":{"type":"string","example":"11930498"},"block_number":{"type":"string","example":12990205},"contract_type":{"type":"string","example":null},"name":{"type":"string","example":"CRYPTOPUNKS"},"symbol":{"type":"string","example":"Ͼ"},"token_uri":{"type":"string","example":"https://www.larvalabs.com/cryptopunks/details/5269"},"image":{"type":"string","example":"https://www.larvalabs.com/cryptopunks/cryptopunk5269.png"},"metadata":{"type":"string","example":"{\"image\":\"https://www.larvalabs.com/cryptopunks/cryptopunk5269.png\",\"name\":\"CryptoPunk 5269\",\"attributes\":[\"Chinstrap\",\"Knitted Cap\",\"Small Shades\"],\"description\":\"Male\"}"},"last_token_uri_sync":{"type":"string","example":null},"last_metadata_sync":{"type":"string","example":"2022-05-19T14:09:59.117Z"}}}},"status":{"type":"string","example":"SYNCED"}}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error"],"properties":{"statusCode":{"type":"number","example":400},"message":{"type":"string","example":"Invalid address provided"},"error":{"type":"string","example":"Bad Request"}}}}}}}}},"/nft/data":{"get":{"tags":["NFTs"],"description":"Get datas that NFT has by token address, token id, and symbol","parameters":[{"name":"token-addr","description":"NFT's Token Address want to get datas","in":"query","required":true,"schema":{"type":"string"},"examples":{"Sample":{"value":"0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D","summary":"example contract address"}}},{"name":"token-id","description":"NFT's Token ID want to get datas","in":"query","required":true,"schema":{"type":"string"},"examples":{"Sample":{"value":"8307","summary":"example token id"}}},{"name":"symbol","in":"query","description":"Allowed Blockchain Network Symbol","required":true,"schema":{"type":"string","enum":["eth","bsc","matic","ftm"]}}],"responses":{"200":{"description":"Returns NFT's datas","content":{"application/json":{"schema":{"type":"object","required":["chain","symbol","result"],"properties":{"chain":{"type":"string","example":"Ethereum"},"symbol":{"type":"string","example":"eth"},"result":{"type":"object","required":["token_address","token_id","contract_type","name","symbol"],"properties":{"token_address":{"type":"string","example":"0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"},"token_id":{"type":"string","example":8307},"amount":{"type":"string","example":1},"owner_of":{"type":"string","example":"0x3572020cb4048d17a912ba4fbe7669ebac5b1b76"},"token_hash":{"type":"string","example":"113a7a67feb573ae33ae84734b290fba"},"block_number_minted":{"type":"string","example":12347195},"block_number":{"type":"string","example":12971832},"contract_type":{"type":"string","example":"ERC721"},"name":{"type":"string","example":"BoredApeYachtClub"},"symbol":{"type":"string","example":"BAYC"},"token_uri":{"type":"string","example":"https://ipfs.moralis.io:2053/ipfs/QmeSjSinHpPnmXmspMjwiXyN6zS4E9zccariGR3jxcaWtq/8307"},"image":{"type":"string","example":"ipfs://QmPji99b5tYnkCsrH4NHTZQdir3Ze2BxgBy3zYSC5UWFTL"},"metadata":{"type":"string","example":"{\"image\":\"ipfs://QmPji99b5tYnkCsrH4NHTZQdir3Ze2BxgBy3zYSC5UWFTL\",\"attributes\":[{\"trait_type\":\"Clothes\",\"value\":\"Tanktop\"},{\"trait_type\":\"Earring\",\"value\":\"Gold Stud\"},{\"trait_type\":\"Background\",\"value\":\"Aquamarine\"},{\"trait_type\":\"Fur\",\"value\":\"Golden Brown\"},{\"trait_type\":\"Mouth\",\"value\":\"Phoneme Oh\"},{\"trait_type\":\"Eyes\",\"value\":\"Coins\"},{\"trait_type\":\"Hat\",\"value\":\"Irish Boho\"}]}"},"last_token_uri_sync":{"type":"string","example":"2022-05-18T22:01:21.064Z"},"last_metadata_sync":{"type":"string","example":"2022-05-14T17:20:53.471Z"}}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error"],"properties":{"statusCode":{"type":"number","example":400},"message":{"type":"string","example":"Invalid address provided"},"error":{"type":"string","example":"Bad Request"}}}}}}}}},"/nft/search":{"get":{"tags":["NFTs"],"description":"Search the NFTs by keyword, symbol, and filter","parameters":[{"name":"keyword","in":"query","description":"Keyword to search for from 3 to 256 words in length","required":true,"schema":{"type":"string"},"examples":{"Sample":{"value":"bear","summary":"example keyword"}}},{"in":"query","name":"symbol","description":"Allowed Blockchain Network Symbol","required":true,"schema":{"type":"string","enum":["eth","bsc","matic","ftm"]}},{"in":"query","name":"filter","description":"Allowed Filter List","required":false,"schema":{"type":"string","enum":["name","description","attributes","global","name,description","name,attributes","description,attributes","name,description,attributes"],"default":"global"}},{"in":"query","name":"cursor","description":"For get next page","required":false,"schema":{"type":"string"}},{"in":"query","name":"limit","description":"To Control the Page Size","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Return the NFTs dearched by keyword, symbol, and filter","content":{"application/json":{"schema":{"type":"object","required":["chain","symbol","result"],"properties":{"chain":{"type":"string","example":"Ethereum"},"symbol":{"type":"string","example":"eth"},"result":{"type":"object","required":["total","page","page_size","cursor"],"properties":{"total":{"type":"integer","example":21677},"page":{"type":"integer","example":0},"page_size":{"type":"integer","example":100},"cursor":{"type":"string","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaW1pdCI6IjEwMCIsIm9mZnNldCI6MCwib3JkZXIiOltdLCJxIjoiaGVsbG8iLCJkZXNjcmlwdGlvbiI6ZmFsc2UsImF0dHJpYnV0ZXMiOmZhbHNlLCJuYW1lIjp0cnVlLCJnbG9iYWwiOmZhbHNlLCJmcm9tX2Jsb2NrIjowLCJ0b19ibG9jayI6OTAwNzE5OTI1NDc0MDk5MSwidG9rZW5fYWRkcmVzc2VzIjpudWxsLCJ0b2tlbl9hZGRyZXNzIjpudWxsLCJ3aGVyZSI6e30sInBhZ2UiOjEsImtleSI6ImZlZmZhZjFkZDhmNDI4NDJjYzMxMjc5MGQyNWQwZDNmIiwidG90YWwiOjIxNjc3LCJpYXQiOjE2NjQ0MzQ5Mzh9.8z1uE0LdbcXweGJ--vAqwA8-0jnnrSBQOrbtJ_DRHNQ"},"result":{"type":"array","items":{"type":"object","required":["token_id","token_address","token_uri","name","image","metadata","contract_type","token_hash","minter_address","block_number_minted","transaction_minted","last_token_uri_sync","last_metadata_sync","created_at"],"properties":{"token_id":{"type":"string","example":"1969"},"token_address":{"type":"string","example":"0x981d0de9e3eb15fdf7612c54a46b776850652353"},"token_uri":{"type":"string","example":"https://ipfs.moralis.io:2053/ipfs/Qmaadmuz93mSGnTFjFPDvwJbSFBpumnauhW5VPN1F1tUZz/1969.json"},"name":{"type":"string","example":"hello potato #1969"},"image":{"type":"string","example":"ipfs://QmYgACntvJxvfKefTczopsc7GKLkr1f4Wx7qkAyCkanHTB/1969.png"},"metadata":{"type":"string","example":"{\"name\":\"hello potato #1969\",\"description\":\"my live is potato\",\"image\":\"ipfs://QmYgACntvJxvfKefTczopsc7GKLkr1f4Wx7qkAyCkanHTB/1969.png\",\"dna\":\"10d2b49a92a2ce8a01670581e8f997efd90a699a\",\"edition\":1969,\"date\":1656737081391,\"attributes\":[{\"trait_type\":\"Backgrounds\",\"value\":\"Paper\"},{\"trait_type\":\"Potatoes\",\"value\":\"Shtop 1\"},{\"trait_type\":\"Faces\",\"value\":\"Handy Randy\"},{\"trait_type\":\"Foregrounds\",\"value\":\"cranked up\"}]}"},"contract_type":{"type":"string","example":"ERC721"},"token_hash":{"type":"string","example":"fffee743d424c16e00dabacb2478ea62"},"minter_address":{"type":"string","example":"0x56ba0ba98e5bcde0f9be312dc88f897536132d81"},"block_number_minted":{"type":"string","example":"15079658"},"transaction_minted":{"type":"string","example":"0x1950f6a5d6f9c5289dad52fbfd7519493719b393ee6a44e73ff6e74f3b078f97"},"last_token_uri_sync":{"type":"string","example":"2022-07-08T04:56:37.396Z"},"last_metadata_sync":{"type":"string","example":"2022-07-08T04:56:42.903Z"},"created_at":{"type":"string","example":"2022-07-05T01:52:26.399Z"}}}}}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error"],"properties":{"statusCode":{"type":"number","example":400},"message":{"type":"string","example":"It is not allowed symbol. Please check again. Allowed symbols: eth, bsc, matic, ftm"},"error":{"type":"string","example":"Bad Request"}}}}}}}}},"/nft/search/all":{"get":{"tags":["NFTs"],"description":"Search the NFTs by keyword and filter","parameters":[{"in":"query","name":"keyword","description":"Keyword to search for from 3 to 256 words in length","required":true,"schema":{"type":"string"},"examples":{"Sample":{"value":"hell","summary":"example keyword"}}},{"in":"query","name":"filter","required":false,"schema":{"type":"string","enum":["name","description","attributes","global","name,description","name,attributes","description,attributes","name,description,attributes"],"default":"global"}},{"in":"query","name":"cursor","description":"For get next page","required":false,"schema":{"type":"string"}},{"in":"query","name":"limit","description":"To Control the Page Size","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"return NFTs searched by keyword and filter","content":{"application/json":{"schema":{"type":"object","properties":{"Ethereum":{"description":"NFTs in Ethereum Network","type":"object","properties":{"chain":{"type":"string","example":"Ethereum"},"symbol":{"type":"string","example":"eth"},"result":{"type":"object","required":["total","page","page_size","cursor"],"properties":{"total":{"type":"integer","example":3493},"page":{"type":"integer","example":0},"page_size":{"type":"integer","example":100},"cursor":{"type":"string","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJxIjoiaGVsbCIsImRlc2NyaXB0aW9uIjpmYWxzZSwiYXR0cmlidXRlcyI6ZmFsc2UsIm5hbWUiOnRydWUsImdsb2JhbCI6ZmFsc2UsImxpbWl0IjoiMTAwIiwidG9rZW5fYWRkcmVzc2VzIjpudWxsLCJ0b2tlbl9hZGRyZXNzIjpudWxsLCJ3aGVyZSI6e30sInBhZ2UiOjEsIm9mZnNldCI6MCwia2V5IjoiZjkwZWJlNjZlNmUyYWM3MGMyZTIzOTQwMzUzYWNmMDQiLCJ0b3RhbCI6MzQ5MywiaWF0IjoxNjYwOTkxODEzfQ.eO3EN5KpSEUGlspY5k-a6Ns-xvtGJ9udtsZnNnqgMLY"},"result":{"type":"array","items":{"type":"object","required":["token_id","token_address","token_uri","name","image","metadata","contract_type","token_hash","minter_address","block_number_minted","transaction_minted","last_token_uri_sync","last_metadata_sync","created_at"],"properties":{"token_id":{"type":"string","example":2507},"token_address":{"type":"string","example":"0x1452e7d45bf4df6b8c722e7a2a2c0255f6c43996"},"token_uri":{"type":"string","example":"https://api.oncurio.com/collections/cpark/2597"},"name":{"type":"string","example":"Hell Is Empty And All The Devils Are Here"},"image":{"type":"string","example":"https://oncurio.s3.us-east-2.amazonaws.com/cpark/scare-city/cover4/cover4.jpg"},"metadata":{"type":"string","example":"{\"name\":\"Hell Is Empty And All The Devils Are Here #47 of 250\",\"external_url\":\"https:\\/\\/oncurio.com\\/collections\\/cpark\\/2597\",\"description\":\"Concrete Park issue 4 depicts an epic slugfest between Isaac and his mortal enemy, Boza, who has titanium legs and nano-boosted strength. The cover was drawn by Tony Puryear. Inspired by the work of Jack Kirby, Puryear says, “I tried to fit as much oomph, as much muscle as possible on this cover.”\",\"image\":\"https:\\/\\/oncurio.s3.us-east-2.amazonaws.com\\/cpark\\/scare-city\\/cover4\\/cover4.jpg\",\"animation_url\":\"https:\\/\\/oncurio.s3.us-east-2.amazonaws.com\\/cpark\\/scare-city\\/cover4\\/cover4.mp4\",\"attributes\":[{\"trait_type\":\"Brand\",\"value\":\"Concrete Park\"},{\"trait_type\":\"Collection\",\"value\":\"Scare City\"},{\"trait_type\":\"Group\",\"value\":\"Hell Is Empty And All The Devils Are Here\"},{\"trait_type\":\"Set\",\"value\":\"Issue\"},{\"trait_type\":\"Rarity\",\"value\":\"Epic\"},{\"trait_type\":\"Quality\",\"value\":null},{\"trait_type\":\"Type\",\"value\":\"Cover\"},{\"trait_type\":\"Category\",\"value\":\"Art\"},{\"trait_type\":\"Media\",\"value\":\"Video\"}]}"},"contract_type":{"type":"string","example":"ERC721"},"token_hash":{"type":"string","example":"ff9d588e74767fd4879c4e60d1b2b795"},"minter_address":{"type":"string","example":"0xba0d01220a7cea942596123102535f800f558763"},"block_number_minted":{"type":"string","example":12264706},"transaction_minted":{"type":"string","example":"0x117d9b72eecce422ee6532cbaafcd73e7e0cb910b86d5c8890224002a53d2659"},"last_token_uri_sync":{"type":"string","example":null},"last_metadata_sync":{"type":"string","example":null},"created_at":{"type":"string","example":"2021-08-24T02:38:35.361Z"}}}}}}}},"BSC":{"type":"object","description":"NFTs in Binance Smart Chain Network","properties":{"chain":{"type":"string","example":"Binance Smart Chain"},"symbol":{"type":"string","example":"bsc"},"result":{"type":"object","required":["total","page","page_size","cursor"],"properties":{"total":{"type":"integer","example":631},"page":{"type":"integer","example":0},"page_size":{"type":"integer","example":100},"cursor":{"type":"string","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJxIjoiaGVsbCIsImRlc2NyaXB0aW9uIjpmYWxzZSwiYXR0cmlidXRlcyI6ZmFsc2UsIm5hbWUiOnRydWUsImdsb2JhbCI6ZmFsc2UsImxpbWl0IjoiMTAwIiwidG9rZW5fYWRkcmVzc2VzIjpudWxsLCJ0b2tlbl9hZGRyZXNzIjpudWxsLCJ3aGVyZSI6e30sInBhZ2UiOjEsIm9mZnNldCI6MCwia2V5IjoiZDNmMTcyNjhhZDY1MDk1NDhmOGVhNGU5ZGRlNTBlOWQiLCJ0b3RhbCI6NjMxLCJpYXQiOjE2NjA5OTE4MjJ9.4hPXsNSf1tVD8VLUoigS6pR4og6Pb52bdfmCpgN5U1A"},"result":{"type":"array","items":{"type":"object","required":["token_id","token_address","token_uri","name","image","metadata","contract_type","token_hash","minter_address","block_number_minted","transaction_minted","last_token_uri_sync","last_metadata_sync","created_at"],"properties":{"token_id":{"type":"string","example":12982},"token_address":{"type":"string","example":"0x83c454ff387cebbc3cbaa5a7a44f412f4fa63c0e"},"token_uri":{"type":"string","example":"https://nft.etna.network/nft/Hell Girl.json"},"name":{"type":"string","example":"Hell Girl"},"image":{"type":"string","example":"https://nft-artwork-api.etna.network/imagebinary/HellGirl.png"},"metadata":{"type":"string","example":"{\"name\":\"Hell Girl\",\"type\":\"Character\",\"id\":37,\"description\":\"Hell Girl\",\"image\":\"https://nft-artwork-api.etna.network/imagebinary/HellGirl.png\"}"},"contract_type":{"type":"string","example":"ERC721"},"token_hash":{"type":"string","example":"fffa4a49da23ec8a95c846efadc551f6"},"minter_address":{"type":"string","example":"0x7c799d29158a32e2e91bbc022a71ca1aa6451073"},"block_number_minted":{"type":"string","example":"11120420"},"transaction_minted":{"type":"string","example":"0xdff1530e8483275b7aa95993159e9a1c536e76748619e08126a30635ff17ea23"},"last_token_uri_sync":{"type":"string","example":null},"last_metadata_sync":{"type":"string","example":null},"created_at":{"type":"string","example":"2021-09-21T23:11:35.080Z"}}}}}}}},"Polygon":{"type":"object","description":"NFTs in Polygon Network","properties":{"chain":{"type":"string","example":"Polygon"},"symbol":{"type":"string","example":"matic"},"result":{"type":"object","required":["total","page","page_size","cursor"],"properties":{"total":{"type":"integer","example":6021},"page":{"type":"integer","example":0},"page_size":{"type":"integer","example":100},"cursor":{"type":"string","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJxIjoiaGVsbCIsImRlc2NyaXB0aW9uIjpmYWxzZSwiYXR0cmlidXRlcyI6ZmFsc2UsIm5hbWUiOnRydWUsImdsb2JhbCI6ZmFsc2UsImxpbWl0IjoiMTAwIiwidG9rZW5fYWRkcmVzc2VzIjpudWxsLCJ0b2tlbl9hZGRyZXNzIjpudWxsLCJ3aGVyZSI6e30sInBhZ2UiOjEsIm9mZnNldCI6MCwia2V5IjoiZmJhN2EyMDlkMzczOGFkNGEzZWQwZTg3MDdlYmVkNWQiLCJ0b3RhbCI6NjAyMSwiaWF0IjoxNjYwOTkxODMyfQ.e4mItFZlK3D2LuEP30PUdZJI-iw6lxGEB4x2gdtT-NU"},"result":{"type":"array","items":{"type":"object","required":["token_id","token_address","token_uri","name","image","metadata","contract_type","token_hash","minter_address","block_number_minted","transaction_minted","last_token_uri_sync","last_metadata_sync","created_at"],"properties":{"token_id":{"type":"string","example":19},"token_address":{"type":"string","example":"0x7d86fa2dea66d01ae496d076cbfae92b26b305a6"},"token_uri":{"type":"string","example":"https://ipfs.moralis.io:2053/ipfs/QmYHEoSC8PEmpH2cbZLvH2EDmrY3riY6a73WiHbEQRsnUD/19.json"},"name":{"type":"string","example":"Hell Pit"},"image":{"type":"string","example":"ipfs://QmbSrHnDTrciHvrjHKCqsQRYNxukaRrbo4PWB7VvEPomZk/19.png"},"metadata":{"type":"string","example":"{\"name\":\"Hell Pit  #19\",\"description\":\"Demons have have excaped the gates of hell. Your job is to secure them to protect the innocent. Hunt at your own risk.\",\"image\":\"ipfs://QmbSrHnDTrciHvrjHKCqsQRYNxukaRrbo4PWB7VvEPomZk/19.png\",\"dna\":\"f476dcc9c6ce98262793d9d141a5705cbd1bfeb0\",\"edition\":19,\"date\":1647216743638,\"artist\":\"Jeeb\",\"attributes\":[{\"trait_type\":\"Wings\",\"value\":\"Phoenix\"},{\"trait_type\":\"Body color\",\"value\":\"Purple\"},{\"trait_type\":\"Eyes\",\"value\":\"Red eyes\"},{\"trait_type\":\"Mouthes\",\"value\":\"Wood Planks\"},{\"trait_type\":\"Body\",\"value\":\"Body\"},{\"trait_type\":\"Gender\",\"value\":\"Female\"},{\"trait_type\":\"Horns\",\"value\":\"Ram\"}],\"compiler\":\"HashLips Art Engine\"}"},"contract_type":{"type":"string","example":"ERC721"},"token_hash":{"type":"string","example":"fffba642c8ffd58c0a998e8e5bca4bf1"},"minter_address":{"type":"string","example":"0x0756628e347c966a5b541b9871c2eb5eb2604b5d"},"block_number_minted":{"type":"string","example":27253668},"transaction_minted":{"type":"string","example":"0x853d2d4e136c2cdf892e155edd3a4d109b7a13e077d5ea40400e2b44c3cc5372"},"last_token_uri_sync":{"type":"string","example":"2022-05-29T09:16:08.975Z"},"last_metadata_sync":{"type":"string","example":"2022-05-30T13:18:12.602Z"},"created_at":{"type":"string","example":"2022-04-17T17:56:48.337Z"}}}}}}}},"Fantom":{"type":"object","description":"NFTs in Fantom Network","properties":{"chain":{"type":"string","example":"Fantom"},"symbol":{"type":"string","example":"ftm"},"result":{"type":"object","required":["total","page","page_size","cursor"],"properties":{"total":{"type":"integer","example":106},"page":{"type":"integer","example":0},"page_size":{"type":"integer","example":100},"cursor":{"type":"string","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJxIjoiaGVsbCIsImRlc2NyaXB0aW9uIjpmYWxzZSwiYXR0cmlidXRlcyI6ZmFsc2UsIm5hbWUiOnRydWUsImdsb2JhbCI6ZmFsc2UsImxpbWl0IjoiMTAwIiwidG9rZW5fYWRkcmVzc2VzIjpudWxsLCJ0b2tlbl9hZGRyZXNzIjpudWxsLCJ3aGVyZSI6e30sInBhZ2UiOjEsIm9mZnNldCI6MCwia2V5IjoiMDcwMDc5NWE1Njk1NzhhYzY4YzRiODU2ZDYwODliMTAiLCJ0b3RhbCI6MTA2LCJpYXQiOjE2NjA5OTE4NDB9.kSK9LLjQkBaL61b5iE_iABxv15u4_Dexu-ztPUjjieA"},"result":{"type":"array","items":{"type":"object","required":["token_id","token_address","token_uri","name","image","metadata","contract_type","token_hash","minter_address","block_number_minted","transaction_minted","last_token_uri_sync","last_metadata_sync","created_at"],"properties":{"token_id":{"type":"string","example":11},"token_address":{"type":"string","example":"0xf7182acbca4d3190bac7145c5ad7756895650ac2"},"token_uri":{"type":"string","example":"https://ipfs.moralis.io:2053/ipfs/bafyreibqy4oecghbtcaodj4zpch5zc5hxgql7cshediclzdocnvfcz3qrq/metadata.json"},"name":{"type":"string","example":"Jörgl the gate keeper of hell"},"image":{"type":"string","example":"ipfs://bafybeihpiwp4rnvv54szshywetdkwwq5h7fyndfvkfep3gws5imqkh5qbq/16a5ecac-3695-4bfe-a612-c2b650af9f77.jpeg"},"metadata":{"type":"string","example":"{\"name\":\"Jörgl the gate keeper of hell\",\"description\":\"Jörgl the gate keeper of hell;<br>For centuries demons and creatures of darkness roamed the earth from the inter dimensional portal created by the collapse of the obelisk, the creatures and demons run rampant ravaging whatever stands in their way.<br>Only Jörgl keep of the gates of hell can stop them!<br>Are you ready to reign over the KINGDOMs of the UNDERWORL?\",\"attributes\":[{\"value\":\"100\",\"trait_type\":\"Hell background \"},{\"value\":\"100\",\"trait_type\":\"Devil’s tail\"},{\"value\":\"98\",\"trait_type\":\"Samurai sword\"},{\"value\":\"100\",\"trait_type\":\"Horn \"}],\"external_uri\":\"\",\"image\":\"ipfs://bafybeihpiwp4rnvv54szshywetdkwwq5h7fyndfvkfep3gws5imqkh5qbq/16a5ecac-3695-4bfe-a612-c2b650af9f77.jpeg\"}"},"contract_type":{"type":"string","example":"ERC1155"},"token_hash":{"type":"string","example":"fe30b0fb116c1fa11dafbe5b8a5abe75"},"minter_address":{"type":"string","example":"0x06605b2fab202304fdfb46f6bf0aeaebdd9be88d"},"block_number_minted":{"type":"string","example":42989409},"transaction_minted":{"type":"string","example":"0x9433addf305f705be72b5e86ef6bb84b126212ac7c87c1fed1a0a5efb0538581"},"last_token_uri_sync":{"type":"string","example":"2022-07-17T22:06:21.040Z"},"last_metadata_sync":{"type":"string","example":"2022-07-17T22:06:27.802Z"},"created_at":{"type":"string","example":"2022-07-17T22:06:19.756Z"}}}}}}}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error"],"properties":{"statusCode":{"type":"number","example":400},"message":{"type":"string","example":"keyword length is lower than 3. Please try again to input the keyword that its minimum length is 3 and maximum length is 256"},"error":{"type":"string","example":"Bad Request"}}}}}}}}}}}